# Record Class SyScrollBarDrag

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.components.SyScrollBarDrag

Record Components:
  `dragKind` - The kind of operation
  `dragStart` - The scroll position at the start of the operation
  `dragNow` - The scroll position now

public record SyScrollBarDrag(SyScrollBarDrag.Kind dragKind, double dragStart, double dragNow) extends Record
A drag operation being performed on a scrollbar.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SyScrollBarDrag.Kind`
  The kind of drag operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyScrollBarDrag(SyScrollBarDrag.Kind dragKind, double dragStart, double dragNow)`
  A drag operation being performed on a scrollbar.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyScrollBarDrag.Kind`
  `dragKind()`
  Returns the value of the `dragKind` record component.
  `double`
  `dragNow()`
  Returns the value of the `dragNow` record component.
  `double`
  `dragStart()`
  Returns the value of the `dragStart` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyScrollBarDrag

    public SyScrollBarDrag(SyScrollBarDrag.Kind dragKind, double dragStart, double dragNow)
    A drag operation being performed on a scrollbar.
    Parameters:
      `dragKind` - The kind of operation
      `dragStart` - The scroll position at the start of the operation
      `dragNow` - The scroll position now

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### dragKind

    public SyScrollBarDrag.Kind dragKind()
    Returns the value of the `dragKind` record component.
    Returns:
      the value of the `dragKind` record component

  - ### dragStart

    public double dragStart()
    Returns the value of the `dragStart` record component.
    Returns:
      the value of the `dragStart` record component

  - ### dragNow

    public double dragNow()
    Returns the value of the `dragNow` record component.
    Returns:
      the value of the `dragNow` record component